Subject: Bug#1217: #1217 - X2GoClient does not auto-resume sessions in public application mode

From: Fingerless Gloves <[email-masked]>
Date: Mon, 30 Sep 2019 17:28:14 +0100

Hi All,

I too have this problem too. I would like to open x2go with the command
below and then have it resume my published apps session, but unless I
remove --hide I can't make it resume and always creates a new session. I
tried setting a session limit for my user on the x2go server but that
just errors saying no more sessions.

"C:\Program Files (x86)\x2goclient\x2goclient.exe" --session=Parrot
--tray-icon --hide --select-first-display

I'd like to make it so when my PC boots x2go session starts in the
background automaticly with my ssh key, without any prompts other than
the ssh key password. Only way to do this currently is to have the x2go
session window always there, which I can't find a way to minimize to tray.

Would be nice if there was a command line option to make it resume the
first session it sees.